/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BeginTransactionInput } from "../types/BeginTransactionInput";
import { BeginTransactionOutput } from "../types/BeginTransactionOutput";
import { RDSDataResolvedConfiguration } from "../RDSDataConfiguration";
export * from "../types/BeginTransactionInput";
export * from "../types/BeginTransactionOutput";
export * from "../types/BeginTransactionExceptionsUnion";
export declare class BeginTransactionCommand implements __aws_sdk_types.Command<InputTypesUnion, BeginTransactionInput, OutputTypesUnion, BeginTransactionOutput, RDSDataResolvedConfiguration, _stream.Readable> {
    readonly input: BeginTransactionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BeginTransactionInput, BeginTransactionOutput, _stream.Readable>;
    constructor(input: BeginTransactionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSDataResolvedConfiguration): __aws_sdk_types.Handler<BeginTransactionInput, BeginTransactionOutput>;
}
