"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _SqlParametersList_1 = require("./_SqlParametersList");
exports.ExecuteStatementInput = {
    type: "structure",
    required: ["resourceArn", "secretArn", "sql"],
    members: {
        continueAfterTimeout: {
            shape: {
                type: "boolean"
            }
        },
        database: {
            shape: {
                type: "string"
            }
        },
        includeResultMetadata: {
            shape: {
                type: "boolean"
            }
        },
        parameters: {
            shape: _SqlParametersList_1._SqlParametersList
        },
        resourceArn: {
            shape: {
                type: "string"
            }
        },
        schema: {
            shape: {
                type: "string"
            }
        },
        secretArn: {
            shape: {
                type: "string"
            }
        },
        sql: {
            shape: {
                type: "string"
            }
        },
        transactionId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ExecuteStatementInput.js.map